// 005 u_irp_04_rave_pdf
// 28 jan 2008

// -- (C) Felix John COLIBRI 2008
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_irp_04_rave_pdf;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, RpRender, RpRenderPDF, RpBase, RpSystem, RpCon, RpConDS,
  RpDefine, RpRave, Grids, DBGrids, DB, DBClient, IWVCLBaseControl,
  IWBaseControl, IWBaseHTMLControl, IWControl, IWCompButton, DBTables;

type
  TForm1 = class(TForm)
    RvSystem1: TRvSystem;
    RvRenderPDF1: TRvRenderPDF;
    output_pdf_: TButton;
    display_report_: TButton;
    RvProject1: TRvProject;
    RvProject2: TRvProject;
    procedure display_report_Click(Sender: TObject);
    procedure output_pdf_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation
  uses RvDlBDE, RVData, RvDriverDataView;


{$R *.dfm}

    procedure TForm1.display_report_Click(Sender: TObject);
      var l_c_rave_driver_data_view: TRaveDriverDataView;
      begin
        With RvProject1 do
        begin
          Open;
          // -- get a link to the DriverDataView
          l_c_rave_driver_data_view:= ProjMan.FindRaveComponent('DriverDataView1', nil) As TRaveDriverDataView;

          if l_c_rave_driver_data_view= Nil
            then Begin
                ShowMessage('not_found');
              end;

          // -- modify the Sql request
          l_c_rave_driver_data_view.Query:=
                'SELECT * '
              + '  FROM employee'
              + '  ORDER BY PhoneExt '
              ;

          Execute;
        end; // With RvProject1
      end; // display_report_Click

    procedure TForm1.output_pdf_Click(Sender: TObject);
      begin
        With RvProject2 do
        begin
          Open;

          with ProjMan.FindRaveComponent('DriverDataView1', nil)
              As TRaveDriverDataView do
            Query:=
                'SELECT * '
              + '  FROM employee'
              + ' ORDER BY PhoneExt '
              ;
        end; // with RvProject2

        with RvSystem1 do
        begin
          DoNativeOutput:= False;
          RenderObject:= RvRenderPDF1;
          OutputFileName:= 'my_report_4.pdf';
         end; // with RvSystem1

         RvProject2.Execute;
      end; // output_pdf_Click

end.
